import Roact from "@rbxts/roact"
import Hooks from "@rbxts/roact-hooks"
import Hotbar from "./hotbar/hotbar"

interface mainProps extends Roact.JsxInstanceEvents<ScreenGui> {
    Event?: Roact.JsxInstanceEvents<ScreenGui>
    Change?: Roact.JsxInstanceChangeEvents<ScreenGui>
}

const main: Hooks.FC<mainProps> = (props, hooks) => {
    const {} = props
    const {} = hooks

    const spreadableProps = { ...props } as Partial<mainProps>

    return (
        <screengui ResetOnSpawn={true} IgnoreGuiInset {...spreadableProps}>
            <Hotbar
                Position={new UDim2(0.5, 0, 1, 0)}
                AnchorPoint={new Vector2(0.5, 1)}
                Size={new UDim2(1, 0, 0.2, 0)}
            />
        </screengui>
    )
}

export default new Hooks(Roact)(main)